"""
Routes and views for the flask application.
"""

from datetime import datetime
from flask import render_template
from Distiller import app
from Distiller.sensors import DS18B20

@app.route('/')
def home():
    """Renders the home page with temperature data."""
    return render_template(
        'layout.html',
        Tlist=DS18B20.Measure(),
        title='Home Page',
        year=datetime.now().year,
    )
